| Qore FilePoller Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FilePoller::FilePollerDataProvider Class Reference

Event-based data provider for file polling events. More...

Inheritance diagram for FilePoller::FilePollerDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
Public Member Functions inherited from FilePoller::FilePollerDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
*string | getDesc ()
| Returns the data provider description.
| updateConnectionObjects (object conn, object connobj)
| Update any connection used by the data provider.

## Public Attributes
const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from FilePoller::FilePollerDataProviderBase
const | ConstructorOptions = ...
| Constructor options.

## Additional Inherited Members
Protected Member Functions inherited from FilePoller::FilePollerDataProviderBase
hash< string, hash< DataProviderMessageInfo > > | getEventTypesImpl ()
| Returns a hash of all supported event types.
Protected Attributes inherited from FilePoller::FilePollerDataProviderBase
EmbeddedFilePoller | poller
| The file poller itself.

## Detailed Description

Event-based data provider for file polling events.

Note that this class will continue to output all matching files in the given folder until they are removed.

In the assumed scenario, matches files are removed by a single observer in the first notification event

The event ID raised for file events is `"file-event"` (see EVENT_FILE)